package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaWdkMarketingItempoolStairQueryitemRequest struct {
	/*
	   换购商品查询参数     */
	Param0 *domain.AlibabaWdkMarketingItempoolStairQueryitemActivitySkuQuery `json:"param0" required:"true" `
}

func (s *AlibabaWdkMarketingItempoolStairQueryitemRequest) SetParam0(v domain.AlibabaWdkMarketingItempoolStairQueryitemActivitySkuQuery) *AlibabaWdkMarketingItempoolStairQueryitemRequest {
	s.Param0 = &v
	return s
}

func (req *AlibabaWdkMarketingItempoolStairQueryitemRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param0 != nil {
		paramMap["param0"] = util.ConvertStruct(*req.Param0)
	}
	return paramMap
}

func (req *AlibabaWdkMarketingItempoolStairQueryitemRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
